﻿#pragma once
#include <stdint.h>

namespace util {

	/* 
	  @berf 证书操作的可视化接口
	  可视化操作包括证书的输入， 标识的可视化输出
	  视图是可选配的
	 */
	class IView {
	public:
		virtual ~IView() = default;
		// 启动视图
		virtual void Exec() const = 0;

		// 查看证书
		virtual void About() const = 0;

		// 从视图获取证书
		virtual void GetLicense(char* lic, uint16_t len) const = 0;

		// 输出硬件标识
		virtual void GetMachineCode(char* code, uint16_t len) const = 0;
	};
}